			
			
			STRING ASIS
			BLANKS OFF
			
;---------------------------------------------------------
;  ImageWriter Driver Version 2.2
;  Copyright Apple Computer, Inc. 1986-88
;  All rights reserved.
;---------------------------------------------------------

			
			MACRO
&lab		str &string
			EXPORT &lab						; export the label
			LCLC &EIB						; declare a temporary var to hold current string setting
&EIB		SETC &SETTING('STRING') 		; put current string setting into temp
			STRING PASCAL					; Set string type to pascal.
&lab		DC.B	&string 				; make the string
			STRING &EIB 					; restore orig string settings
			MEND


			include 'e16.dialog'


US			equ 1
FR			equ 2
Pays		equ US


				IMPORT ScreenPort

DialogData		PROC EXPORT



				IF Pays=US GOTO .US
				IF Pays=FR GOTO .FR
.US 		
SlashStr		str	 '/'
namestr 		str	 'ImageWriter'
Paperstr		str	 'Paper:'
P1str			str	 'US Letter'
P2str			str	 'US Legal'
p3str			str	 'A4 Letter'
p4str			str	 'International Fanfold'
p5str			str	 'Computer Paper'
VsizeStr		str	 'Vertical Sizing:'
Vsize1Str		str	 'Normal'
VSize2Str		str	 'Condensed'
SpeStr			str	 'Printer Effects:'
Spe1str 		str	 '50% Reduction'
Spe2str 		str	 'No Gaps Between'
GapPageStr		str	 'Pages'
Orientstr		str	 'Orientation:'
Okstr			str	 'OK'
Cancelstr		str	 'Cancel'
ColorStr		str	 'Color'
DarkerStr		str	 'Darker'
releaseStr		str	 'v2.2.2'		; d3
Qstr			str	 'Quality:'
q1str			str	 'Better Text'
q2str			str	 'Better Color'
q3str			str	 'Draft'
Pagestr 		str	 'Page range:'
pr1str			str	 'All'
pr2str			str	 'From:'
pr3str			str	 'To:'
copstr			str	 'Copies:'
PFeedstr		str	 'Paper Feed:'
Pf1str			str	 'Automatic'
Pf2str			str	 'Manual'

				Export	InfoStrPrep
InfoStrPrep		DC.B	EndInfoStrPrep-InfoStrPrep-1
				DC.B	'Preparing Data ...'
				DC.B	$0D
EndInfoStrPrep	;
				EXPORT	InfoStrDraft
InfoStrDraft	DC.B	EndInfoStrDraft-InfoStrDraft-1
				DC.B	'Printing in Draft mode ...'
				DC.B	$0D
EndInfoStrDraft ;

				EXPORT LowMemMsg
LowMemMsg			DC.B	EndMSL1-LowMemMsg-1
				DC.B	'There is not enough memory to print.              '
				DC.B	$0D
EndMSL1			;

				EXPORT	PrintProcess
Printprocess	;
				EXPORT	InfoStrPrint
InfoStrPrint	DC.B	EndInfoStrPrint-InfoStrPrint-1
				DC.B	'Printing in progress ...'
				DC.B	$0D
EndInfoStrPrint ;
				EXPORT CancelStrPrint
CancelStrPrint	DC.B	EndCancelStrPrint-CancelStrPrint-1
				DC.B	'(Type ',$11,'. to cancel.)'
				;
EndCancelStrPrint ;
				GOTO .suite
.FR
SlashStr		str	 '/'
namestr 		str	 'ImageWriter'
Paperstr		str	 'Papier:'
P1str			str	 'Lettre US'
				EXPORT	P2str
P2str			DC.B	8
				DC.B	'L'
				DC.B	$8E
				DC.B	'gal US'
p3str			str	 'Continu International'
p4str			str	 'Format A4'
p5str			str	 'Papier Informatique'
VsizeStr		str	 'Vertical Sizing:'
Vsize1Str		str	 'Normal'
VSize2Str		str	 'Condensed'
SpeStr			str	 'Printer Effects'
Spe1str 		str	 'Reduction 50 %'
Spe2str 		str	 'Pas de saut'
GapPageStr		str	 'de page'
Orientstr		str	 'Orientation'
Okstr			str	 'OK'
Cancelstr		str	 'Annuler'
ColorStr		str	 'Couleur'
releaseStr		str	 '  vF1-2.2'		
				EXPORT	Qstr
Qstr			DC.B	8
				DC.B	'Qualit'
				DC.B	$8E
				DC.B	':'
q1str			str	 'Superieure'		?
q2str			str	 'Normale'			?
q3str			str	 'Brouillon'
Pagestr 		str	 'Pages :'
pr1str			str	 'Toutes'
pr2str			str	 'De :'
				EXPORT	pr3str
pr3str			DC.B	1
				DC.B	$88
copstr			str	 'Copies :'
PFeedstr		str	 'Chargement :'
Pf1str			str	 'Automatique'
Pf2str			str	 'Manuel'
				EXPORT	InfoStrPrep
InfoStrPrep 	DC.B	EndInfoStrPrep-InfoStrPrep-1
				DC.B	'Preparation de l'	'impression ...',h'0D'

EndInfoStrPrep	;
				EXPORT	InfoStrDraft
InfoStrDraft	DC.B	EndInfoStrDraft-InfoStrDraft-1
				DC.B	'Impression en mode brouillon ...'
				DC.B	$0D
EndInfoStrDraft ;
				EXPORT	PrintProcess
Printprocess	;
				EXPORT	InfoStrPrint
InfoStrPrint	DC.B	EndInfoStrPrint-InfoStrPrint-1
				DC.B	'Impression en cours ...'
				DC.B	$0D
EndInfoStrPrint ;
.suite

				EXPORT	PaperOutStr
PaperOutStr		DC.B	EndPaperOutStr-PaperOutStr-1
				DC.B	'The ImageWriter is out of paper.'
				DC.B	$0D
EndPaperOutStr ;

				EXPORT	CoverOpenStr
CoverOpenStr	DC.B	EndCoverOpenStr-CoverOpenStr-1
				DC.B	'The cover of the ImageWriter is open.'
				DC.B	$0D
EndCoverOpenStr ;
				EXPORT	PaperjamStr
PaperjamStr		DC.B	EndPaperjamStr-PaperjamStr-1
				DC.B	'The paper is jammed in the ImageWriter.'
				DC.B	$0D
EndPaperjamStr ;
				EXPORT	OffLineStr
OffLineStr		DC.B	EndOffLineStr-OffLineStr-1
				DC.B	'The select switch is off on the ImageWriter.'
				DC.B	$0D
EndOffLineStr ;

				EXPORT ButtonState
buttonstate 	DS.B 30

				EXPORT EventRecord
				EXPORT EvtWhat
				EXPORT EvtMsg
				EXPORT EvtWhen
				EXPORT EvtWhere
				EXPORT EvtY
				EXPORT EvtX
				EXPORT EvtMods
eventrecord
evtwhat 		DS.B 2
evtmsg			DS.B 4
evtwhen 		DS.B 4
evtwhere
evty			DS.B 2
evtx			DS.B 2
evtmods 		DS.B 2

nullevent		equ 0
mousedown		equ 1
mouseup 		equ 2
keydown 		equ 3
autokey 		equ 5
updtevt 		equ 6
activevt		equ 8
switchevt		equ 9
deskaccevt		equ 10
deviceevt		equ 11

vr				equ	8
hr				equ	10

StyleUPLy		equ	0
StyleUPLx		equ	0
StyleLWRy		equ	145
StyleLWRx		equ	300



				EXPORT	StyleRect
StyleRect		DC.W	20,170,165,470

				EXPORT	l1
l1				DC.W	styleuply+15,styleuplx+6
				EXPORT	l2
l2				DC.W	styleuply+15,stylelwrx-6

				EXPORT	P1rect
P1rect			DC.W	styleUply+26-vr,styleUplx+72-5-hr,styleuply+28,styleUplx+250
				EXPORT	P2rect
P2rect			DC.W	styleUply+37-vr,styleUplx+72-5-hr,styleuply+39,styleUplx+250
				EXPORT	P3rect
P3rect			DC.W	styleUply+48-vr,styleUplx+72-5-hr,styleuply+50,styleUplx+250
				EXPORT	P4rect
P4rect			DC.W	styleUply+59-vr,styleUplx+72-5-hr,styleuply+61,styleUplx+250
				EXPORT	P5rect
P5rect			DC.W	styleUply+70-vr,styleUplx+72-5-hr,styleuply+72,styleUplx+250

				EXPORT	v1rect
v1rect			DC.W	styleUply+85-vr,styleUplx+25-hr,styleuply+87,styleUplx+150
				EXPORT	v2rect
v2rect			DC.W	styleUply+98-vr,styleUplx+25-hr,styleuply+100,styleUplx+150

				EXPORT	s1rect
s1rect			DC.W	styleUply+85-vr,styleUplx+158-hr,styleuply+87,styleUplx+310
				EXPORT	s2rect
s2rect		DC.W	styleUply+98-vr,styleUplx+158-hr,styleuply+100,styleUplx+310


				EXPORT	o1rect
o1rect			DC.W	styleuply+114,styleuplx+10,styleuply+143,styleuplx+40
				EXPORT	o2rect
o2rect			DC.W	styleuply+114,styleuplx+47,styleuply+143,styleuplx+77

;----------------------------------------
;
; Job Dialogs Template
;
;----------------------------------------
				EXPORT JobDTemplate
JobDTemplate	;
				DC.W	20,170,165,470		;dialogs rectangle
				DC.W	1					;visible
				DC.L	0					;Refcon
				DC.L	JDIT1				;Job dialogs item 1  template
				DC.L	JDIT2				;Job dialogs item 2  template
				DC.L	JDIT3				;Job dialogs item 3  template
				DC.L	JDIT4				;Job dialogs item 4  template
				DC.L	JDIT5				;Job dialogs item 5  template
				DC.L	JDIT6				;Job dialogs item 6  template
				DC.L	JDIT7				;Job dialogs item 7  template
				DC.L	JDIT8				;Job dialogs item 8  template
				DC.L	JDIT9				;Job dialogs item 9  template
				DC.L	JDIT10				;Job dialogs item 10 template
				DC.L	JDIT11				;Job dialogs item 11 template
				DC.L	JDIT12				;Job dialogs item 12 template
				DC.L	JDIT13				;Job dialogs item 13 template
				DC.L	JDIT14				;Job dialogs item 14 template
				DC.L	0					;NIL pointer (terminator)
;----------------------------------------
;
; Job Dialog items list
;
;----------------------------------------
;
;Create the OK item
;
JDIT1	;
				DC.W	1	;OK button (default for CR)
				EXPORT	okrect
okrect			DC.W	StyleLwry-5-13,stylelwrx-65,StyleLwry-5,stylelwrx-9
				DC.W	ButtonItem
				DC.L	okstr
				DC.W	0
				DC.W	0
				DC.L	0
;
;Create CANCLE item
;
JDIT2	;
				DC.W	2	;CANCLE button
				EXPORT	Cancelrect
Cancelrect		DC.W	StyleLwry-5-13,stylelwrx-145,StyleLwry-5,stylelwrx-75
				DC.W	ButtonItem
				DC.L	cancelstr
				DC.W	0
				DC.W	0
				DC.L	0
;
;Create radio item BEST quality
;
JDIT3	;
				DC.W	3	;BEST quality
				EXPORT	q1Rect
q1Rect			DC.W	styleUply+26-vr,styleUplx+100-5-hr,styleUply+28,styleUplx+200-5
				DC.W	RadioItem
				DC.L	Q1str
				EXPORT	JDRB0
JDRB0			DC.W	0
				DC.W	1
				DC.L	0
;
;Create radio item FASTER
;
JDIT4	;
				DC.W	4	;FASTER quality
				EXPORT	q2Rect
q2Rect			DC.W	styleUply+37-vr,styleUplx+100-5-hr,styleUply+39,styleUplx+200-5
				DC.W	RadioItem
				DC.L	Q2str
				EXPORT	JDRB1
JDRB1			DC.W	0
				DC.W	1
				DC.L	0
;
;Create radio button item DRAFT
;
JDIT5	;
				DC.W	5	;DRAFT quality
				EXPORT	q3Rect
q3Rect			DC.W	styleUply+48-vr,styleUplx+100-5-hr,styleUply+50,styleUplx+200-5
				DC.W	RadioItem
				DC.L	Q3str
				EXPORT	JDRB2
JDRB2			DC.W	0
				DC.W	$1
				DC.L	0
;
;Create page range radio item ALL
;
JDIT6	;
				DC.W	6	;page range - ALL
				EXPORT	Pr1rect
Pr1rect DC.W	styleUply+70-vr,styleUplx+100-5-hr,styleUply+72,styleUplx+200-5
				DC.W	RadioItem
				DC.L	pr1str
				EXPORT	JDRB3
JDRB3			DC.W	0
				DC.W	$2
				DC.L	0
;
;Create page range (From:__ To:__) radio button item
;
JDIT7	;
				DC.W	7	;page range - from-to
				EXPORT	Pr2Rect
Pr2Rect DC.W	styleUply+84-vr,StyleUplx+100-5-hr,styleUply+86,125
				DC.W	RadioItem
				DC.L	pr2str
				EXPORT	JDRB4
JDRB4			DC.W	0
				DC.W	$2
				DC.L	0
;
;Create AUTOMATIC paper feed radio button item
;
JDIT8	;
				DC.W	8	;AUTOMATIC paper feed

				IF Pays=FR GOTO .FRPF1
				EXPORT	pf1rect
pf1rect DC.W	styleUply+112-vr,StyleUplx+100-5-hr,styleUply+114,StyleUplx+180
				GOTO .FRXPF1

.FRPF1
				EXPORT	pf1rect
pf1rect DC.W	styleUply+112-vr,StyleUplx+105-5-hr,styleUply+114,StyleUplx+185
.FRXPF1

				DC.W	RadioItem
				DC.L	pf1str
				EXPORT	JDRB5
JDRB5			DC.W	0
				DC.W	$3
				DC.L	0
;
;Create HAND FEED paper feed radio button item
;
JDIT9	;
				DC.W	9	;HAND FEED
				IF Pays=FR GOTO .FRPF2
				EXPORT	pf2rect
pf2rect DC.W	styleUply+112-vr,StyleUplx+200-5-hr,styleUply+114,StyleUplx+300
				GOTO .FRXPF2
.FRPF2

				EXPORT	pf2rect
pf2rect DC.W	styleUply+112-vr,StyleUplx+220-5-hr,styleUply+114,StyleUplx+310
.FRXPF2

				DC.W	RadioItem
				DC.L	pf2str
				EXPORT	JDRB6
JDRB6			DC.W	0
				DC.W	3
				DC.L	0

* Draw the 3 edit lines
;
;Create the COPIES: edit line item
;
JDIT10	;
				DC.W	10
				EXPORT	CopieRect
CopieRect		DC.W	87,60,87+15,60+40
				DC.W	EditLine
				DC.L	DefaultCopie
				DC.W	4
				DC.W	0
				DC.L	0
;
;Create the TO: edit line item
;
JDIT11	;
				DC.W	11
				EXPORT	ToRect
ToRect			DC.W	73,230,73+15,230+40
				DC.W	EditLine
				DC.L	DefaultTo
				DC.W	4
				DC.W	0
				DC.L	0
;
;Create the FROM edit line item
;
JDIT12	;
				DC.W	12
				EXPORT	FromRect
FromRect		DC.W	73,150,73+15,150+40
				DC.W	EditLine
				DC.L	DefaultFrom
				DC.W	4
				DC.W	0
				DC.L	0
;
;Create the COLOR check box item
;
JDIT13	;
				DC.W	13
				EXPORT	ColorRect
ColorRect		DC.W	StyleLwry-5-12-13,StyleUPLx+6,StyleLwry-5-12,StyleUPLx+6+100
				DC.W	CheckItem
				DC.L	ColorStr
				EXPORT	JDRB10
JDRB10			DC.W	0
				DC.W	0
				DC.L	0
;
;Create the COLOR check box item
;
JDIT14	;
				DC.W	14
				EXPORT	DarkerRect
DarkerRect		DC.W	StyleLwry-5-13,StyleUPLx+6,StyleLwry-5,StyleUPLx+6+100
				DC.W	CheckItem
				DC.L	DarkerStr
				EXPORT	JDRB11
JDRB11			DC.W	0
				DC.W	0
				DC.L	0

;----------------------------------------


				EXPORT	Istrnum
Istrnum DC.W	6
				EXPORT	Istrlist
Istrlist		DC.L	releasestr
				DC.L	paperstr
				DC.L	vsizestr
				DC.L	spestr
				DC.L	gappagestr
				DC.L	Orientstr

				EXPORT	namepos
namepos DC.W	styleUPLy+13,StyleUplx+6
				EXPORT	IPosList
Iposlist	;
				EXPORT	releasepos
releasepos		DC.W	styleUPLy+13,Stylelwrx-65	;use -50 for final release w/o "d1" version number 
				EXPORT	Paperpos
Paperpos		DC.W	styleUply+26,StyleUplx+6
				EXPORT	VSizepos
VSizepos		DC.W	styleUply+73,StyleUplx+6
				EXPORT	Spepos
Spepos			DC.W	styleUply+73,StyleUplx+135
				EXPORT	gappagepos
gappagepos		DC.W	styleUply+108,StyleUplx+190
				EXPORT	Orientpos
Orientpos		DC.W	styleUply+110,StyleUplx+6

				EXPORT	Astrnum
Astrnum DC.W	9
				EXPORT	Astrlist
Astrlist		DC.L	p1str
				DC.L	p2str
				DC.L	p3str
				DC.L	p4str
				DC.L	p5str
				DC.L	Vsize1str
				DC.L	Vsize2str
				DC.L	spe1str
				DC.L	spe2str

				EXPORT	ARectlist
ARectlist		DC.L	p1Rect
				DC.L	p2Rect
				DC.L	p3Rect
				DC.L	p4Rect
				DC.L	p5Rect
				DC.L	v1Rect
				DC.L	v2Rect
				DC.L	s1Rect
				DC.L	s2Rect


				DC.L	OkRect
				DC.L	CancelRect

				DC.L	Okstr
				DC.L	Cancelstr


				EXPORT PtrList
ptrList 		DS.B 4*14

Aposlist	;
				EXPORT	P1Pos
P1Pos			DC.W	styleUply+26,styleUplx+72
				EXPORT	P2Pos
P2Pos			DC.W	styleUply+37,styleUplx+72
				EXPORT	P3Pos
P3Pos			DC.W	styleUply+48,styleUplx+72
				EXPORT	P4Pos
P4Pos			DC.W	styleUply+59,styleUplx+72
				EXPORT	P5Pos
P5Pos			DC.W	styleUply+70,styleUplx+72

				EXPORT	Vsize1Pos
Vsize1Pos		DC.W	styleUply+85,styleUplx+20
				EXPORT	Vsize2Pos
Vsize2Pos		DC.W	styleUply+98,styleUplx+20

				EXPORT	Spe1Pos
Spe1Pos DC.W	styleUply+85,styleUplx+162
				EXPORT	Spe2Pos
Spe2Pos DC.W	styleUply+98,styleUplx+162

				EXPORT	OKpos
OKpos			DC.W	styleUPLy+18,Stylelwrx-50
				EXPORT	Cancelpos
Cancelpos		DC.W	styleUPLy+38,Stylelwrx-60





				EXPORT	JArectlist
JArectlist		DC.L	q1rect	0
				DC.L	q2rect	1
				DC.L	q3rect	2
				DC.L	pr1rect 3
				DC.L	pr2rect 4
				DC.L	pf1rect 5
				DC.L	pf2rect 6


				EXPORT	Jistrnum
Jistrnum		DC.W	6
				EXPORT	Jistrlist
Jistrlist		DC.L	releasestr
				DC.L	Qstr
				DC.L	pagestr
				DC.L	pr3str
				DC.L	copstr
				DC.L	pFeedstr

				EXPORT	JAstrnum
JAstrnum		DC.W	7
				EXPORT	JAstrlist
JAstrlist		DC.L	Q1str
				DC.L	Q2str
				DC.L	Q3str
				DC.L	pr1str
				DC.L	pr2str
				DC.L	pf1str
				DC.L	pf2str


				EXPORT	Jnamepos
Jnamepos		DC.W	styleUPLy+13,StyleUplx+6
				EXPORT	JIPosList
JIposlist	;
				EXPORT	Jreleasepos
Jreleasepos 	DC.W	styleUPLy+13,Stylelwrx-65	;use -50 for final release w/o "d1" version number
				EXPORT	Jqpos
Jqpos			DC.W	styleUply+26,StyleUplx+6
				EXPORT	JPagePos
JPagePos		DC.W	styleUply+59,styleUplx+6
				EXPORT	Jpr3Pos
Jpr3Pos 		DC.W	styleUply+84,styleUplx+200
				EXPORT	JcopPos
JcopPos 		DC.W	styleUply+98,styleUplx+6
				EXPORT	JPfeedPos
JPfeedPos		DC.W	styleUply+112,styleUplx+6


				EXPORT	DefaultFrom
DefaultFrom 	DC.B	0
				DC.B	' '
				EXPORT	DefaultTo
DefaultTo		DC.B	0
				DC.B	' '
				EXPORT	DefaultCopie
DefaultCopie	str 	'1'


				EXPORT	pixel320
pixel320		DC.W	26
				EXPORT	pixel640
pixel640		DC.W	52
				EXPORT 	PixelWidth
pixelwidth		DS.B 2

				EXPORT	PP_portrait
PP_portrait ;
				DC.L	portrait_p
				DC.L	screenport
				DC.L	portrait_r
				DC.L	dstbitr1
				DC.W	0
				DC.L	0

				EXPORT	dstbitr1
dstbitr1		DC.W	styleuply+116,styleuplx+12,styleuply+141,styleuplx+38+26
				EXPORT	dstbitf1
dstbitf1		DC.W	styleuply+115,styleuplx+10,styleuply+143,styleuplx+40+26
				EXPORT	portrait_p
portrait_p		DC.W	$80
				DC.L	portrait_bit
				DC.W	13
				DC.W	0,0,25,52
				EXPORT	portrait_r
portrait_r		DC.W	0,0,25,52

				EXPORT	PP_Landsc
PP_landsc	;
				DC.L	landsc_p
				DC.L	screenport
				DC.L	landsc_r
				DC.L	dstbitr2
				DC.W	0
				DC.L	0

				EXPORT	dstbitr2
dstbitr2		DC.W	styleuply+116,styleuplx+49+26,styleuply+141,styleuplx+75+52
				EXPORT	dstbitf2
dstbitf2		DC.W	styleuply+115,styleuplx+47+26,styleuply+143,styleuplx+77+52
				EXPORT	landsc_p
landsc_p		DC.W	$80
				DC.L	landsc_bit
				DC.W	13
				DC.W	0,0,25,52
				EXPORT	landsc_r
landsc_r		DC.W	0,0,25,52

				EXPORt Portrait_Bit
portrait_bit	;
				DC.B	$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
				DC.B	$FF,$F0,$00,$00,$00,$00,$00,$00,$0F,$FF,$FF,$FF,$FF
				DC.B	$FF,$F0,$FF,$FF,$FF,$FF,$FF,$FF,$00,$FF,$FF,$FF,$FF
				DC.B	$FF,$F0,$FF,$FF,$FF,$F0,$0F,$FF,$0F,$0F,$FF,$FF,$FF
				DC.B	$FF,$F0,$FF,$FF,$FF,$0F,$F0,$FF,$0F,$F0,$FF,$FF,$FF
				DC.B	$FF,$F0,$FF,$FF,$FF,$0F,$F0,$FF,$00,$00,$0F,$FF,$FF
				DC.B	$FF,$F0,$FF,$FF,$FF,$F0,$0F,$FF,$FF,$FF,$0F,$FF,$FF
				DC.B	$FF,$F0,$FF,$FF,$F0,$0F,$F0,$0F,$FF,$FF,$0F,$FF,$FF
				DC.B	$FF,$F0,$FF,$FF,$0F,$FF,$FF,$F0,$FF,$FF,$0F,$FF,$FF
				DC.B	$FF,$F0,$FF,$FF,$0F,$0F,$F0,$F0,$FF,$FF,$0F,$FF,$FF
				DC.B	$FF,$F0,$FF,$FF,$0F,$0F,$F0,$F0,$FF,$FF,$0F,$FF,$FF
				DC.B	$FF,$F0,$FF,$FF,$0F,$0F,$F0,$F0,$FF,$FF,$0F,$FF,$FF
				DC.B	$FF,$F0,$FF,$FF,$0F,$0F,$F0,$F0,$FF,$FF,$0F,$FF,$FF
;				EXPORT Dummy1
;Dummy1				
				DC.B	$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
				DC.B	$0F,$0F,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$F0,$F0,$F0
				DC.B	$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$F0
				DC.B	$0F,$0F,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$F0,$F0,$F0
				DC.B	$0F,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$F0,$00
				DC.B	$0F,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$F0,$FF
				DC.B	$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$FF
				DC.B	$0F,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$F0,$FF
				DC.B	$0F,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$F0,$FF
				DC.B	$0F,$0F,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$F0,$FF
				DC.B	$0F,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$F0,$FF
				DC.B	$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$FF

				EXPORT Landsc_Bit
landsc_bit	;
				DC.B	$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
				DC.B	$FF,$F0,$00,$00,$00,$00,$00,$00,$0F,$FF,$FF,$FF,$FF
				DC.B	$FF,$F0,$FF,$FF,$FF,$FF,$FF,$FF,$00,$FF,$FF,$FF,$FF
				DC.B	$FF,$F0,$FF,$FF,$FF,$FF,$FF,$FF,$0F,$0F,$FF,$FF,$FF
				DC.B	$FF,$F0,$00,$00,$00,$00,$FF,$FF,$0F,$F0,$FF,$FF,$FF
				DC.B	$FF,$F0,$FF,$FF,$FF,$FF,$0F,$FF,$00,$00,$0F,$FF,$FF
				DC.B	$FF,$F0,$00,$00,$00,$FF,$0F,$00,$FF,$FF,$0F,$FF,$FF
				DC.B	$FF,$F0,$FF,$FF,$FF,$FF,$F0,$FF,$0F,$FF,$0F,$FF,$FF
				DC.B	$FF,$F0,$FF,$FF,$FF,$FF,$F0,$FF,$0F,$FF,$0F,$FF,$FF
				DC.B	$FF,$F0,$00,$00,$00,$FF,$0F,$00,$FF,$FF,$0F,$FF,$FF
				DC.B	$FF,$F0,$FF,$FF,$FF,$FF,$0F,$FF,$FF,$FF,$0F,$FF,$FF
				DC.B	$FF,$F0,$00,$00,$00,$00,$FF,$FF,$FF,$FF,$0F,$FF,$FF
				DC.B	$FF,$F0,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$0F,$FF,$FF
;				EXPORT Dummy2
;Dummy2				
				DC.B	$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
				DC.B	$0F,$0F,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$F0,$F0,$F0
				DC.B	$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$F0
				DC.B	$0F,$0F,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$F0,$F0,$F0
				DC.B	$0F,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$F0,$00
				DC.B	$0F,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$F0,$FF
				DC.B	$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$FF
				DC.B	$0F,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$F0,$FF
				DC.B	$0F,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$F0,$FF
				DC.B	$0F,$0F,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$F0,$FF
				DC.B	$0F,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$F0,$FF
				DC.B	$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$FF

* Data for the info dialogs 640
				EXPORT	infoWidth320
infoWidth320	DC.W	300
				EXPORT	infowidth640
infowidth640	DC.W	600
				EXPORT	InfoDPort
infoDPort		DS.B 4
				EXPORT	InfoStrRect
InfoStrRect 	DC.W	10,20,20,500
				EXPORT	AbortRect
AbortRect		DC.W	90,150,150,490
				EXPORT	AboutDPort
AbortDPort		DS.B 4

				EXPORT	IfCancelled
IfCancelled 	DS.B 2
				EXPORT	StyleWidth
Stylewidth		DS.B 2
				EXPORT	DeadLoc
deadloc 		DS.B 32

				EXPORT	CopieFinalValue
CopieFinalValue DS.B 6
				EXPORT	FromFinalValue
FromFinalValue	DS.B 6
				EXPORT	ToFinalValue
ToFinalValue	DS.B 6
				EXPORT	InfoWindow
InfoWindow	;
				EXPORT	WinDef640
WinDef640	;
				DC.W	EndWDef640-WinDef640
				DC.W	%0010000000100000			; wFrame
				DC.L	0							; wTitle
				EXPORT	HdlDoc640
HdlDoc640		DC.L	0							; wRefCon
				DC.W	0,0,0,0 					; wZoom
				DC.L	0							; wColor
				DC.W	0							; wYOrigin,wXOrigin
				DC.W	0
				DC.W	0							; wDataH,wDataW
				DC.W	0
				DC.W	0							; wMaxH,wMaxW
				DC.W	0
				DC.W	0							; wScrollVer,wScrollHor
				DC.W	0
				DC.W	0							; wPageVer,wPageHor
				DC.W	0
				DC.L	0							; wInfoRefCon
				DC.W	0							; wInfoHeight
				DC.L	0							; wFrameDefProc
				DC.L	0							; wInfoDefProc
				DC.L	0							; wContDefProc
				EXPORT	InfoRect
InfoRect		DC.W	30,40,60,600
				DC.L	$FFFFFFFF					; wPlane
				DC.L	0							; wStorage

EndWDef640	;
				EXPORT	InfoStrPos,CancelStrPos
InfoStrPos		DC.W	12,20
CancelStrPos	DC.W	25,20
				EXPORT	EraseInfoRect
EraseInfoRect	DC.W	0,00,30,640

				EXPORT	InfoStrBuffer
InfoStrBuffer	DS.B 100

;------------------------------------------------------------
;
; data used by manual feed alert box
;

;------------------------------------------------------------
;
; 640 mode
;
				EXPORT	alerttemp640
alerttemp640	DC.W	30,40,75,600	; bounds rect
				DC.W	1301	; id
				DC.B	$80
				DC.B	$80
				DC.B	$80
				DC.B	$80
				DC.L	item1_640	; Continue
				DC.L	item2_640	; Cancel
				DC.L	item3_640	; text
				DC.L	0000


				EXPORT	item1_640
item1_640		DC.W	1	; id
				DC.W	8,440,8+13,530	; bounds rect for button
				DC.W	ButtonItem	; type
				DC.L	But1	; item descriptor - "Continue"
				DC.W	00	; item value
				DC.W	0	; item flag
				DC.L	0	; item color

				EXPORT	item2_640
item2_640		DC.W	2	; id
				DC.W	27,440,27+13,530	; bounds rect for button
				DC.W	ButtonItem	; type
				DC.L	But2	; item descriptor - "Cancel"
				DC.W	00	; item value
				DC.W	0	; item flag
				DC.L	0	; item color



				EXPORT	Msg1_640
Msg1_640		DC.B	$0D
				DC.B	'Please insert the next sheet of paper into the'
				DC.B	$0D
				DC.B	'ImageWriter, then click continue.'
Len_Msg1_640	equ *-Msg1_640


				EXPORT	item3_640
item3_640		DC.W	3	; id
				DC.W	3,35,43,400 				; bounds rect for text
				DC.W	ItemDisable+LongStatText	; type
				DC.L	Msg1_640					; item descriptor
				DC.W	Len_Msg1_640				; item value
				DC.W	0							; item flag
				DC.L	0							; item color

But1			str 'Continue'
But2			str 'Cancel'

;------------------------------------------------------------
;
; 320 mode
;
				EXPORT	alerttemp320
alerttemp320	DC.W	30,10,95,310				; bounds rect
				DC.W	1301						; id
				DC.B	$80
				DC.B	$80
				DC.B	$80
				DC.B	$80
				DC.L	item1_320					; Continue
				DC.L	item2_320					; Cancel
				DC.L	item3_320					; text
				DC.L	0000


				EXPORT	item1_320
item1_320		DC.W	1	; id
				DC.W	27,215,27+13,285			; bounds rect for button
				DC.W	ButtonItem					; type
				DC.L	But1						; item descriptor - "Continue"
				DC.W	00							; item value
				DC.W	0							; item flag
				DC.L	0							; item color

				EXPORT	item2_320
item2_320		DC.W	2							; id
				DC.W	45,215,45+13,285			; bounds rect for button
				DC.W	ButtonItem					; type
				DC.L	But2						; item descriptor - "Cancel"
				DC.W	00							; item value
				DC.W	0							; item flag
				DC.L	0							; item color



				EXPORT	Msg1_320
Msg1_320		DC.B	$0D
				DC.B	'Please insert the next'
				DC.B	$0D
				DC.B	'sheet of paper into the'
				DC.B	$0D
				DC.B	'ImageWriter, then click'
				DC.B	$0D
				DC.B	'Continue.'
Len_Msg1_320	equ *-Msg1_320


				EXPORT	item3_320
item3_320		DC.W	3							; id
				DC.W	3,15,63,225 				; bounds rect for text
				DC.W	ItemDisable+LongStatText	; type
				DC.L	Msg1_320					; item descriptor
				DC.W	Len_Msg1_320				; item value
				DC.W	0							; item flag
				DC.L	0							; item color



	ENDP


	END

