#   File:       SCSITape.Driver.make
#   Target:     SCSITape.Driver
#   Sources:    'SCSI Driver main'
#               'SCSI Command Table'
#               'SCSI Filter startup'
#               'SCSI Filter open'
#               'SCSI Filter read'
#               'SCSI Filter write'
#               'SCSI Filter close'
#               'SCSI Filter status'
#               'SCSI Filter control'
#               'SCSI Filter flush'
#               'SCSI Filter shutdown'
#               'SCSI Main Driver'
#               'SCSI Driver Mgmt'
#   Created:    Friday, February 17, 1989 8:30:49 AM
#  Modified:    Tuesday, May 2, 1989 8:090:49 AM

SCSITape.Driver  SCSITape.Driver.make 
		:Tape.Obj:'SCSITape Driver main.obj' 
		:Tape.Obj:'SCSITape Command Table.obj' 
		:Tape.Obj:'SCSITape Filter startup.obj' 
		:Tape.Obj:'SCSITape Filter open.obj' 
		:Tape.Obj:'SCSITape Filter read.obj' 
		:Tape.Obj:'SCSITape Filter write.obj' 
		:Tape.Obj:'SCSITape Filter close.obj' 
		:Tape.Obj:'SCSITape Filter status.obj' 
		:Tape.Obj:'SCSITape Filter control.obj' 
		:Tape.Obj:'SCSITape Filter flush.obj' 
		:Tape.Obj:'SCSITape Filter shutdown.obj' 
		:Tape.Obj:'SCSITape Main Driver.obj' 
		:Tape.Obj:'SCSITape Driver Mgmt.obj'
    LinkIIGS -t $bb -at $0103 
#	LinkIIGS -t $bb -at $0105 
		:Tape.Obj:'SCSITape Driver main.obj' 
		:Tape.Obj:'SCSITape Command Table.obj' 
		:Tape.Obj:'SCSITape Filter startup.obj' 
		:Tape.Obj:'SCSITape Filter open.obj' 
		:Tape.Obj:'SCSITape Filter read.obj' 
		:Tape.Obj:'SCSITape Filter write.obj' 
		:Tape.Obj:'SCSITape Filter close.obj' 
		:Tape.Obj:'SCSITape Filter status.obj' 
		:Tape.Obj:'SCSITape Filter control.obj' 
		:Tape.Obj:'SCSITape Filter flush.obj' 
		:Tape.Obj:'SCSITape Filter shutdown.obj' 
		:Tape.Obj:'SCSITape Main Driver.obj' 
		:Tape.Obj:'SCSITape Driver Mgmt.obj' 
		-o 'SCSITape.Driver'
#		-o ':Tape.Obj:SCSITape.Driver.lnk'
#	ExpressIIGS 
#		':Tape.Obj:SCSITape.Driver.lnk' 
#		-o 'SCSITape.Driver'
	duplicateiigs -y -m SCSITape.Driver SCSITape.Driver
:Tape.Obj:'SCSITape Driver main.obj'  
		'SCSITape.Driver.make' 
		'SCSI Driver main' 
		'SCSIHD.equates'
	AsmIIGS -d &type,type=2 'SCSI Driver main' 
		-o :Tape.Obj:'SCSITape Driver main.obj'
:Tape.Obj:'SCSITape Command Table.obj'  
		'SCSITape.Driver.make' 
		'SCSI Command Table' 
		'SCSIHD.equates'
	AsmIIGS -d &type,type=2 'SCSI Command Table' 
		-o :Tape.Obj:'SCSITape Command Table.obj'
:Tape.Obj:'SCSITape Filter startup.obj'  
		'SCSITape.Driver.make' 
		'SCSI Filter startup' 
		'SCSIHD.equates'
	AsmIIGS -d &type,type=2 'SCSI Filter startup' 
		-o :Tape.Obj:'SCSITape Filter startup.obj'
:Tape.Obj:'SCSITape Filter open.obj'  
		'SCSITape.Driver.make' 
		'SCSI Filter open' 
		'SCSIHD.equates'
	AsmIIGS -d &type,type=2 'SCSI Filter open' 
		-o :Tape.Obj:'SCSITape Filter open.obj'
:Tape.Obj:'SCSITape Filter read.obj'  
		'SCSITape.Driver.make' 
		'SCSI Filter read' 
		'SCSIHD.equates'
	AsmIIGS -d &type,type=2 'SCSI Filter read' 
		-o :Tape.Obj:'SCSITape Filter read.obj'
:Tape.Obj:'SCSITape Filter write.obj'  
		'SCSITape.Driver.make' 
		'SCSI Filter write' 
		'SCSIHD.equates'
	AsmIIGS -d &type,type=2 'SCSI Filter write' 
		-o :Tape.Obj:'SCSITape Filter write.obj'
:Tape.Obj:'SCSITape Filter close.obj'  
		'SCSITape.Driver.make' 
		'SCSI Filter close' 
		'SCSIHD.equates'
	AsmIIGS -d &type,type=2 'SCSI Filter close' 
		-o :Tape.Obj:'SCSITape Filter close.obj'
:Tape.Obj:'SCSITape Filter status.obj'  
		'SCSITape.Driver.make' 
		'SCSI Filter status' 
		'SCSIHD.equates'
	AsmIIGS -d &type,type=2 'SCSI Filter status' 
		-o :Tape.Obj:'SCSITape Filter status.obj'
:Tape.Obj:'SCSITape Filter control.obj'  
		'SCSITape.Driver.make' 
		'SCSI Filter control' 
		'SCSIHD.equates'
	AsmIIGS -d &type,type=2 'SCSI Filter control' 
		-o :Tape.Obj:'SCSITape Filter control.obj'
:Tape.Obj:'SCSITape Filter flush.obj'  
		'SCSITape.Driver.make' 
		'SCSI Filter flush' 
		'SCSIHD.equates'
	AsmIIGS -d &type,type=2 'SCSI Filter flush' 
		-o :Tape.Obj:'SCSITape Filter flush.obj'
:Tape.Obj:'SCSITape Filter shutdown.obj'  
		'SCSITape.Driver.make' 
		'SCSI Filter shutdown' 
		'SCSIHD.equates'
	AsmIIGS -d &type,type=2 'SCSI Filter shutdown' 
		-o :Tape.Obj:'SCSITape Filter shutdown.obj'
:Tape.Obj:'SCSITape Main Driver.obj'  
		'SCSITape.Driver.make' 
		'SCSI Main Driver' 
		'SCSIHD.equates'
	AsmIIGS -d &type,type=2 'SCSI Main Driver' 
		-o :Tape.Obj:'SCSITape Main Driver.obj'
:Tape.Obj:'SCSITape Driver Mgmt.obj'  
		'SCSITape.Driver.make' 
		'SCSI Driver Mgmt' 
		'SCSIHD.equates'
	AsmIIGS -d &type,type=2 'SCSI Driver Mgmt' 
		-o :Tape.Obj:'SCSITape Driver Mgmt.obj'
