#
#	IWCL.make	- Makefile for the ImageWriter CL driver
#
#	Copyright  1989, Claris Corporation.
#
#	This makefile only assembles IWCL code.  It is NOT intended to be used
#	as a sub-build to ::AppleWorks.make.
#
#	To build LQ driver instead of regular driver, change the "-d lq=0" to
#	"-d lq=1" and change Program to "ImageWriter.CLQ"
#--------------------------------------------------------------------------------
#	Variables

AsmIIGSOptions1	=	-i {IWCLIncDir},{AWGS}Macros
AsmIIGSOptions2	=	-d lq=0

Program			=	ImageWriter.CL

IWCLSrcDir		=	{iwcl}src:
IWCLIncDir		=	{iwcl}src:
IWCLObjDir		=	{iwcl}obj:

Makefile		=	{iwcl}IWCL.make

GlobalMacros	=	{iwcl}src:all.macros 	
					{iwcl}src:iw.macros		
					{awgs}macros:m16.stack	
					{awgs}macros:m16.cmp


Objs			=	{IWCLObjDir}iw.o	
					{IWCLObjDir}dialogdata.o
	

{IWCL}{Program}		{Objs}
	@If "`Newer {Objs} {IWCL}{Program}`"
	LinkIIGS {IWCLObjDir}iw.o {IWCLObjDir}dialogdata.o -o {IWCL}{Program} -t $BB -at $0001 -l > {IWCL}Link.map
	@End

{Objs}			{makefile}

{IWCLObjDir}iw.o 		 	{IWCLSrcDir}iw.asm	
							{IWCLSrcDir}hld.asm	
							{IWCLSrcDir}lld.asm	
							{IWCL}iw.sym	
							{Makefile}
	ASMIIGS {IWCLSrcDir}iw.asm -o {IWCLObjDir}iw.o {AsmIIGSOptions1} {AsmIIGSOptions2}
	
{IWCLObjDir}dialogdata.o			{IWCLSrcDir}dialogdata.asm
	ASMIIGS {IWCLSrcDir}dialogdata.asm -o {IWCLObjDir}dialogdata.o {AsmIIGSOptions1} {AsmIIGSOptions2}

{IWCL}iw.sym		{IWCLSrcDir}iw.asm  {GlobalMacros}
	ASMIIGS -c -d DUMPIT {IWCLSrcDir}iw.asm  {AsmIIGSOptions1}
