/***********************************************************************\

	Product Number: PROXLIB-01-2.0

	Version: rev2.0

	Product Name: Proximity Subroutine Library

	Filename: proxerr.h


	This document contains private and confidential information and
	its disclosure does not constitute publication.  Some of the
	information herein also may appear in United States and or
	Foreign Patents Pending.  All rights are reserved by Proximity
	Technology Inc., except those specifically granted by license.

\***********************************************************************/

#ifndef _PROXERR
#define _PROXERR

/* Generalized error codes.  These error codes are used where a more 
   specific error code would not be useful.  Other error codes should be >= 
   128 and < 256.  */

#define PE_IOERR    1           /* unclassified I/O error. */
#define PE_NOMEM    2           /* unclassified memory allocation failure. */
#define PE_BADVER   3           /* versions do not match. */
#define PE_NOFILE   4           /* file does not exist. */
#define PE_LANG     5           /* language mismatch. */
#define PE_BADTYP   6           /* file is of wrong type */

extern int Proxerr;             /* the error codes are returned here. */

#endif
